> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/_mcp/server.

# Inquire About Statuses of a Single Payer ID or Assignee ID

POST https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry
Content-Type: application/json

Inquiry endpoint to inquire about the statuses of a single payer ID or assignee ID.

Reference: https://citi-demo.ferndocs.com/enterprises/api-reference/payment-acceptance/payer-id-management-services/payer-id/payer-id-inquiry

## Authentication

- `Authorization` header (bearer token, required) — All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

## Servers

- `https://tts.sit.apib2b.citi.com/citiconnect/sit5` (dev gateway url, default)
- `https://tts.apib2b.citi.com/citiconnect/prod` (production gateway url)
- `https://tts.sandbox.apib2b.citi.com/citiconnect/sb` (sandbox url)

## Request

### Query parameters

- `client_id` (string, required) — This is your unique identifier shared during your CitiConnect API onboarding. This is the same `client_id` used for OAuth token generation.

### Body (application/json)

This endpoint expects an InquiryRequest.

- `country_code` (string, required) — The ISO country code specifying which country the account is held with. For example, if we receive a request for Denmark, the county code is `DE`. For France, the country code is `FR`. The list of allowed country codes are `DE` - Denmark `FR` - France `GB` - Great Britain `IE` - Ireland `NL` - Netherlands `US` - United states of America `CA` - Canada `HK` - Hong Kong `SG` - Singapore `AU` - Australia `NZ` - New Zealand `LU` - Luxembourg
- `payerid_number` (string, optional) — Unique number assigned for payers and beneficiaries to identify incoming payments. Please provide either the `payerid_number` or the `assignee_id`.
- `assignee_id` (string, optional) — Assignee ID expected from client for upfront sanction screening and activation of Payer ID number. Please provide either payerid_number or assignee_id.

## Response

### 200

OK

- `request_id` (string, required) — Auto-generated unique identification assigned for the incoming request.
- `country_code` (string, required) — The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is `DE`. For France, it is `FR`. The list of allowed country codes are: `DE` - Germany `FR` - France `GB` - Great Britain `IE` - Ireland`NL` - Netherlands`US` - United States`CA` - Canada `HK` - Hong Kong `SG` - Singapore`AU` - Australia
- `payerid_details` (PayerIdDetailsSyncResponse, optional)
- `merchant` (MerchantDetailsSyncResponse, optional)
- `beneficiary` (list of Beneficiary-Details-Sync-Response, optional)
- `error_details` (list of ErrorDetails, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 401 Unauthorized Error

Unauthorized

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 405 Method Not Allowed Error

Method Not Allowed

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 415 Unsupported Media Type Error

Unsupported Media Type

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 500 Internal Server Error

Internal Server Error

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

## Types

### PayerIdDetailsSyncResponse

- `payerid_number` (string, optional) — Unique number assigned to payers and beneficiaries to identify incoming payments.
- `status` (string, optional) — Status of the payer ID.
- `reason` (string, optional) — Payer ID status reason.
- `account_details` (list of Account-Inquiry, optional) — Identification of account parameter under which the client account, branch code, and instruction currency are to be displayed. Instruction currency cannot be the same for different client account numbers in a single request.

### MerchantDetailsSyncResponse

- `address` (string, optional) — Identification of merchant/beneficiary address.
- `zipcode` (string, optional) — Identification of merchant/beneficiary zip code.
- `city` (string, optional) — Identification of merchant/beneficiary city.
- `state` (string, optional) — Identification of merchant/beneficiary state.
- `country_code` (string, optional) — The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is `DE`. For France, it is `FR`. The list of allowed country codes are: `DE` - Germany `FR` - France `GB` - Great Britain `IE` - Ireland`NL` - Netherlands`US` - United States`CA` - Canada `HK` - Hong Kong `SG` - Singapore`AU` - Australia
- `party_type_details` (enum, optional) — Account party type details. Allowed account part type values are: `S` - sole trader, which is an enterprise owned or run by a single person. `C` - a company that is owned by an organization or business entity
  - Allowed values: `C`, `S`
- `name_1` (string, optional) — LastName Or CompanyName for 'sole trader', include the last name for 'company', include the company name.
- `name_2` (string, optional) — For 'sole trader', include the first name for 'company', leave blank or include second line of company name.
- `date` (date, optional) — Sole trader's date of birth or a company's date of incorporation. This parameter is in fixed 10-digit format (YYYY-MM-DD) as per ISO format.
- `tax_identifier` (string, optional) — Merchant tax identifier based on the merchant's country.
- `website` (string, optional) — Merchant's profile, website, or storefront.
- `assignee_id` (string, optional) — Assignee ID for upfront sanction screening and activation of Payer ID number.
- `assignee_id_status` (string, optional) — Specifies the status of assignee ID.
- `assignee_id_reason` (string, optional) — Specifies the reason for the deactivation of an assignee ID.

### Beneficiary-Details-Sync-Response

- `address` (string, optional) — Identification of merchant/beneficiary address.
- `zipcode` (string, optional) — Identification of merchant/beneficiary zip code.
- `city` (string, optional) — Identification of merchant/beneficiary city.
- `state` (string, optional) — Identification of merchant/beneficiary state.
- `country_code` (string, optional) — The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is `DE`. For France, it is `FR`. The list of allowed country codes are: `DE` - Germany `FR` - France `GB` - Great Britain `IE` - Ireland`NL` - Netherlands`US` - United States`CA` - Canada `HK` - Hong Kong `SG` - Singapore`AU` - Australia
- `beneficiary_id` (string, optional) — Unique ID given for beneficiary.
- `last_name` (string, optional) — Identification of beneficiary owner's last name.
- `middle_name` (string, optional) — Identification of beneficiary owner's middle name.
- `first_name` (string, optional) — Identification of beneficiary owner's first name.
- `dob` (date, optional) — Identification of beneficial owner's date of birth. It is in fixed 10-digit format (YYYY-MM-DD) as per ISO date format.
- `tax_identifier` (string, optional) — Identification of last name of the individual or last name of company for the sole trader.

### ErrorDetails

- `code` (string, optional) — Error category that provides more information about error types.
- `issue` (string, optional) — Information about the issue.
- `action` (string, optional) — The corrective action to be taken to resolve the issue.

### PayerIdErrorDetail

- `issue` (string, optional) — More information about the issue.
- `action` (string, optional) — The corrective action to be taken to resolve the issue.
- `code` (string, optional) — Error category that provides more details on error types.

### Account-Inquiry

- `client_account` (string, required) — Specifies client's account mapped to the Payer ID.
- `branch_code` (string, required) — Citi Internal branch code
- `instruction_currencies` (list of string, required) — The 3-character ISO currency code.
- `client_segment` (enum, optional) — Segmentation of clients based on 'Corporate', 'PI', 'Bank'
  - Allowed values: `Corporate`, `PI`, `Bank`
- `usecase_of_payerid` (enum, optional) — Use case description of payer ID.
  - Allowed values: `Reconciliation`, `Funding`, `Sales`, `Multi-party`, `Sales,Funding`, `Multi-party,Funding`, `Sales,Multi-party`, `Sales,Multi-party,Funding`

## Examples

### PayerID Inquiry Active Response

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f4",
  "country_code": "GB",
  "payerid_details": {
    "payerid_number": "DE43502109007000000018",
    "status": "ACTIVE",
    "reason": "Client",
    "account_details": [
      {
        "client_account": "10953312",
        "branch_code": "600",
        "instruction_currencies": [
          "GBP",
          "INR"
        ],
        "client_segment": "PI",
        "usecase_of_payerid": "Sales"
      }
    ]
  },
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "party_type_details": "S",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com",
    "assignee_id": "DE0000000000091567US",
    "assignee_id_status": "ACTIVE"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "56787534",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "beneficiary_id": "888888",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "DAN STREET 123",
      "zipcode": "8067865",
      "city": "RTYUI",
      "state": "KKKK",
      "country_code": "GB",
      "beneficiary_id": "999999",
      "last_name": "VVVD",
      "middle_name": "EWEWE",
      "first_name": "JHGFDE",
      "dob": "2020-02-28",
      "tax_identifier": "12345476"
    }
  ]
}
```

**SDK Code**

```python PayerID Inquiry Active Response
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerID Inquiry Active Response
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerID Inquiry Active Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerID Inquiry Active Response
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java PayerID Inquiry Active Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php PayerID Inquiry Active Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp PayerID Inquiry Active Response
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift PayerID Inquiry Active Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### AssigneeID Inquiry Active Response

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f6",
  "country_code": "GB",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com",
    "assignee_id": "DE0000000000091567US",
    "assignee_id_status": "ACTIVE"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "56787534",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "DAN STREET 123",
      "zipcode": "8067865",
      "city": "RTYUI",
      "state": "KKKK",
      "country_code": "GB",
      "last_name": "VVVD",
      "middle_name": "EWEWE",
      "first_name": "JHGFDE",
      "dob": "2020-02-28",
      "tax_identifier": "12345476"
    }
  ]
}
```

**SDK Code**

```python AssigneeID Inquiry Active Response
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript AssigneeID Inquiry Active Response
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go AssigneeID Inquiry Active Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby AssigneeID Inquiry Active Response
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java AssigneeID Inquiry Active Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php AssigneeID Inquiry Active Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp AssigneeID Inquiry Active Response
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift AssigneeID Inquiry Active Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerID Inquiry Deactivate Response

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f7",
  "country_code": "GB",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com",
    "assignee_id": "DE0000000000091567US",
    "assignee_id_status": "ACTIVE",
    "assignee_id_reason": "Assignee ID DE0000000000091568US deactivated due to potential match during batch screening."
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "56787534",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "DAN STREET 123",
      "zipcode": "8067865",
      "city": "RTYUI",
      "state": "KKKK",
      "country_code": "GB",
      "last_name": "VVVD",
      "middle_name": "EWEWE",
      "first_name": "JHGFDE",
      "dob": "2020-02-28",
      "tax_identifier": "12345476"
    }
  ],
  "account_details": [
    {
      "branch_code": "600",
      "client_account": "10953312",
      "client_segment": "PI",
      "instruction_currencies": [
        "GBP",
        "INR"
      ],
      "usecase_of_payerid": "Sales"
    }
  ],
  "payerid_number": "DE43502109007000000017",
  "reason": "Payer ID DE43502109007000000017 deactivated due to potential match during batch screening.",
  "status": "DEACTIVATED"
}
```

**SDK Code**

```python PayerID Inquiry Deactivate Response
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerID Inquiry Deactivate Response
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerID Inquiry Deactivate Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerID Inquiry Deactivate Response
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java PayerID Inquiry Deactivate Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php PayerID Inquiry Deactivate Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp PayerID Inquiry Deactivate Response
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift PayerID Inquiry Deactivate Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerID Inquiry Reserved Response

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f0",
  "country_code": "GB",
  "account_details": [
    {
      "branch_code": "600",
      "client_account": "10953312",
      "client_segment": "PI",
      "instruction_currencies": [
        "GBP",
        "INR"
      ],
      "usecase_of_payerid": "Sales"
    }
  ],
  "payerid_number": "DE43502109007000000018",
  "status": "RESERVED"
}
```

**SDK Code**

```python PayerID Inquiry Reserved Response
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerID Inquiry Reserved Response
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerID Inquiry Reserved Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerID Inquiry Reserved Response
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java PayerID Inquiry Reserved Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php PayerID Inquiry Reserved Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp PayerID Inquiry Reserved Response
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift PayerID Inquiry Reserved Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerID Inquiry Error Response

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f6",
  "country_code": "GB",
  "error_details": [
    {
      "code": "VC00012",
      "issue": "Invalid value provided for payer ID DE43502109007000000011",
      "action": "Please provide the valid payer ID Number for the inquiry"
    }
  ]
}
```

**SDK Code**

```python PayerID Inquiry Error Response
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerID Inquiry Error Response
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerID Inquiry Error Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerID Inquiry Error Response
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java PayerID Inquiry Error Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php PayerID Inquiry Error Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp PayerID Inquiry Error Response
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift PayerID Inquiry Error Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### AssigneeID Inquiry Error Response

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f0",
  "country_code": "GB",
  "error_details": [
    {
      "code": "PI1034",
      "issue": "Invalid value provided for assignee_id DE0000000000091547US",
      "action": "Please provide a valid value for the assignee ID number"
    }
  ]
}
```

**SDK Code**

```python AssigneeID Inquiry Error Response
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript AssigneeID Inquiry Error Response
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go AssigneeID Inquiry Error Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby AssigneeID Inquiry Error Response
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java AssigneeID Inquiry Error Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php AssigneeID Inquiry Error Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp AssigneeID Inquiry Error Response
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift AssigneeID Inquiry Error Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### AssigneeID Inquiry Deleted Response

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f3",
  "country_code": "GB",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com",
    "assignee_id": "DE0000000000091547US",
    "assignee_id_status": "DELETED",
    "assignee_id_reason": "Assignee ID DE0000000000091547US moved to a deleted status due to confirmed match during online screening."
  }
}
```

**SDK Code**

```python AssigneeID Inquiry Deleted Response
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript AssigneeID Inquiry Deleted Response
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go AssigneeID Inquiry Deleted Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby AssigneeID Inquiry Deleted Response
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java AssigneeID Inquiry Deleted Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php AssigneeID Inquiry Deleted Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp AssigneeID Inquiry Deleted Response
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift AssigneeID Inquiry Deleted Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIDRequestExample

**Request**

```json
{
  "country_code": "HK",
  "payerid_number": "DE43502109007000000017"
}
```

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f4",
  "country_code": "GB",
  "payerid_details": {
    "payerid_number": "DE43502109007000000018",
    "status": "ACTIVE",
    "reason": "Client",
    "account_details": [
      {
        "client_account": "10953312",
        "branch_code": "600",
        "instruction_currencies": [
          "GBP",
          "INR"
        ],
        "client_segment": "PI",
        "usecase_of_payerid": "Sales"
      }
    ]
  },
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "party_type_details": "S",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com",
    "assignee_id": "DE0000000000091567US",
    "assignee_id_status": "ACTIVE"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "56787534",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "beneficiary_id": "888888",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "DAN STREET 123",
      "zipcode": "8067865",
      "city": "RTYUI",
      "state": "KKKK",
      "country_code": "GB",
      "beneficiary_id": "999999",
      "last_name": "VVVD",
      "middle_name": "EWEWE",
      "first_name": "JHGFDE",
      "dob": "2020-02-28",
      "tax_identifier": "12345476"
    }
  ]
}
```

**SDK Code**

```python PayerIDRequestExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

payload = {
    "country_code": "HK",
    "payerid_number": "DE43502109007000000017"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIDRequestExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"HK","payerid_number":"DE43502109007000000017"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIDRequestExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"HK\",\n  \"payerid_number\": \"DE43502109007000000017\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIDRequestExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"HK\",\n  \"payerid_number\": \"DE43502109007000000017\"\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIDRequestExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"HK\",\n  \"payerid_number\": \"DE43502109007000000017\"\n}")
  .asString();
```

```php PayerIDRequestExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "HK",
  "payerid_number": "DE43502109007000000017"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIDRequestExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"HK\",\n  \"payerid_number\": \"DE43502109007000000017\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIDRequestExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "HK",
  "payerid_number": "DE43502109007000000017"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### AssigneeIDRequestExample

**Request**

```json
{
  "country_code": "UK",
  "assignee_id": "DE0000000000091568US"
}
```

**Response**

```json
{
  "request_id": "180496fb-a181-4e05-b31c-0e9726fed2f4",
  "country_code": "GB",
  "payerid_details": {
    "payerid_number": "DE43502109007000000018",
    "status": "ACTIVE",
    "reason": "Client",
    "account_details": [
      {
        "client_account": "10953312",
        "branch_code": "600",
        "instruction_currencies": [
          "GBP",
          "INR"
        ],
        "client_segment": "PI",
        "usecase_of_payerid": "Sales"
      }
    ]
  },
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "party_type_details": "S",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com",
    "assignee_id": "DE0000000000091567US",
    "assignee_id_status": "ACTIVE"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "56787534",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "beneficiary_id": "888888",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "DAN STREET 123",
      "zipcode": "8067865",
      "city": "RTYUI",
      "state": "KKKK",
      "country_code": "GB",
      "beneficiary_id": "999999",
      "last_name": "VVVD",
      "middle_name": "EWEWE",
      "first_name": "JHGFDE",
      "dob": "2020-02-28",
      "tax_identifier": "12345476"
    }
  ]
}
```

**SDK Code**

```python AssigneeIDRequestExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry"

querystring = {"client_id":"898918181818181aczta"}

payload = {
    "country_code": "UK",
    "assignee_id": "DE0000000000091568US"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript AssigneeIDRequestExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"UK","assignee_id":"DE0000000000091568US"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go AssigneeIDRequestExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"UK\",\n  \"assignee_id\": \"DE0000000000091568US\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby AssigneeIDRequestExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"UK\",\n  \"assignee_id\": \"DE0000000000091568US\"\n}"

response = http.request(request)
puts response.read_body
```

```java AssigneeIDRequestExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"UK\",\n  \"assignee_id\": \"DE0000000000091568US\"\n}")
  .asString();
```

```php AssigneeIDRequestExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "UK",
  "assignee_id": "DE0000000000091568US"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp AssigneeIDRequestExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"UK\",\n  \"assignee_id\": \"DE0000000000091568US\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift AssigneeIDRequestExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "UK",
  "assignee_id": "DE0000000000091568US"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/inquiry?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```